Skip to main content
Creates a new brand board with logos, colors, and fonts
POST https://services.leadconnectorhq.com/brand-boards/

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account ID where the brand board will be created
name
string
default:"My Brand Board"
required
Name of the brand board
logos
object[]
Array of logos for the brand board
colors
object[]
Array of colors for the brand board
fonts
object[]
Array of fonts for the brand board
default
boolean
default:"True"
Set as the default brand board for this account
brandBoardId
string
default:"507f1f77bcf86cd799439011"
Source brand board ID to copy from (creates a new brand board based on this template)
parentId
string
default:"507f1f77bcf86cd799439011"
Parent folder ID in media library for organizing brand boards
type
string
default:"blank"
Source type indicating how the brand board was created Posibles valores: ‘template’, ‘blank’, ‘snapshot’

Respuestas

_id
string
default:"507f1f77bcf86cd799439011"
required
Brand board ID
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account ID
name
string
default:"My Brand Board"
required
Brand board name
logos
object[]
Array of logos
colors
object[]
Array of brand colors
fonts
object[]
Array of brand fonts
default
boolean
default:"False"
required
Whether this is the default brand board for the account
deleted
boolean
default:"False"
required
Whether the brand board has been soft deleted
parentId
string
default:"507f1f77bcf86cd799439011"
Parent folder ID in media library
folderId
string
default:"507f1f77bcf86cd799439011"
Media library folder ID for this brand board
originId
string
default:"507f1f77bcf86cd799439011"
Original brand board ID if cloned from snapshot
meta
object
Metadata about the brand board
createdAt
string
default:"2024-01-05T12:00:00.000Z"
Creation timestamp
updatedAt
string
default:"2024-01-05T12:00:00.000Z"
Last update timestamp
{
  "_id": "507f1f77bcf86cd799439011",
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "My Brand Board",
  "logos": [
    {
      "id": "logo_abc123",
      "url": "https://storage.googleapis.com/bucket/logos/my-logo.png",
      "label": "Primary Logo",
      "path": "/locations/ve9EPM428h8vShlRW1KT/logos/my-logo.png"
    }
  ],
  "colors": [
    {
      "id": "color_xyz789",
      "hexa": "#FF5733FF",
      "rgba": "rgba(255, 87, 51, 1)",
      "hex": "#FF5733",
      "rgb": "rgb(255, 87, 51)",
      "label": "Brand Orange"
    }
  ],
  "fonts": [
    {
      "id": "font_def456",
      "font": "Montserrat",
      "fallback": "sans-serif",
      "label": "Heading Font"
    }
  ],
  "default": false,
  "deleted": false,
  "parentId": "507f1f77bcf86cd799439011",
  "folderId": "507f1f77bcf86cd799439011",
  "originId": "507f1f77bcf86cd799439011",
  "createdAt": "2024-01-05T12:00:00.000Z",
  "updatedAt": "2024-01-05T12:00:00.000Z"
}
{}
{}
statusCode
number
default:"403"
message
string
default:"The token does not have access to this account"
{
  "statusCode": 403,
  "message": "The token does not have access to this account"
}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/brand-boards/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "name": "My Brand Board",
  "logos": [
    {
      "id": "logo_abc123",
      "url": "https://storage.googleapis.com/bucket/logos/my-logo.png",
      "label": "Primary Logo",
      "path": "/locations/ve9EPM428h8vShlRW1KT/logos/my-logo.png"
    }
  ],
  "colors": [
    {
      "id": "color_xyz789",
      "hexa": "#FF5733FF",
      "rgba": "rgba(255, 87, 51, 1)",
      "hex": "#FF5733",
      "rgb": "rgb(255, 87, 51)",
      "label": "Brand Orange"
    }
  ],
  "fonts": [
    {
      "id": "font_def456",
      "font": "Montserrat",
      "fallback": "sans-serif",
      "label": "Heading Font"
    }
  ],
  "default": true,
  "brandBoardId": "507f1f77bcf86cd799439011",
  "parentId": "507f1f77bcf86cd799439011",
  "type": "blank"
}'
const response = await fetch('https://services.leadconnectorhq.com/brand-boards/', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "ve9EPM428h8vShlRW1KT", "name": "My Brand Board", "logos": [{"id": "logo_abc123", "url": "https://storage.googleapis.com/bucket/logos/my-logo.png", "label": "Primary Logo", "path": "/locations/ve9EPM428h8vShlRW1KT/logos/my-logo.png"}], "colors": [{"id": "color_xyz789", "hexa": "#FF5733FF", "rgba": "rgba(255, 87, 51, 1)", "hex": "#FF5733", "rgb": "rgb(255, 87, 51)", "label": "Brand Orange"}], "fonts": [{"id": "font_def456", "font": "Montserrat", "fallback": "sans-serif", "label": "Heading Font"}], "default": true, "brandBoardId": "507f1f77bcf86cd799439011", "parentId": "507f1f77bcf86cd799439011", "type": "blank"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/brand-boards/',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "ve9EPM428h8vShlRW1KT", "name": "My Brand Board", "logos": [{"id": "logo_abc123", "url": "https://storage.googleapis.com/bucket/logos/my-logo.png", "label": "Primary Logo", "path": "/locations/ve9EPM428h8vShlRW1KT/logos/my-logo.png"}], "colors": [{"id": "color_xyz789", "hexa": "#FF5733FF", "rgba": "rgba(255, 87, 51, 1)", "hex": "#FF5733", "rgb": "rgb(255, 87, 51)", "label": "Brand Orange"}], "fonts": [{"id": "font_def456", "font": "Montserrat", "fallback": "sans-serif", "label": "Heading Font"}], "default": true, "brandBoardId": "507f1f77bcf86cd799439011", "parentId": "507f1f77bcf86cd799439011", "type": "blank"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/brand-boards/');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 've9EPM428h8vShlRW1KT', 'name': 'My Brand Board', 'logos': [{'id': 'logo_abc123', 'url': 'https://storage.googleapis.com/bucket/logos/my-logo.png', 'label': 'Primary Logo', 'path': '/locations/ve9EPM428h8vShlRW1KT/logos/my-logo.png'}], 'colors': [{'id': 'color_xyz789', 'hexa': '#FF5733FF', 'rgba': 'rgba(255, 87, 51, 1)', 'hex': '#FF5733', 'rgb': 'rgb(255, 87, 51)', 'label': 'Brand Orange'}], 'fonts': [{'id': 'font_def456', 'font': 'Montserrat', 'fallback': 'sans-serif', 'label': 'Heading Font'}], 'default': true, 'brandBoardId': '507f1f77bcf86cd799439011', 'parentId': '507f1f77bcf86cd799439011', 'type': 'blank'}),
]);
$data = json_decode(curl_exec($ch), true);